<?
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

/*******************************************************************************
* 영카트 또는 게시판 연동 기능
*******************************************************************************/

if($bo_it && (!$view_it || $bo_row)) {

	unset($list);

	if(!$bo_row) {
		if($amina['list_rows'] > 0 && $amina['list_rows'] != $board['bo_page_rows']) {
			$bo_row = $amina['list_rows'];
		} else {
			$bo_row = $board['bo_page_rows'];
		}
	}

	$i = 0;
	$notice_sql = "";
	if(AMINA == "g4s") {
	    $arr_notice = explode(",", trim($board['bo_notice']));
	} else {
	    $arr_notice = explode("\n", trim($board['bo_notice']));
	}
    for ($k=0; $k<count($arr_notice); $k++) {
        if (trim($arr_notice[$k])=='') continue;
        $row = sql_fetch(" select * from $write_table where wr_id = '$arr_notice[$k]' ");
		if (!$row['wr_id']) continue;
		$list[$i] = get_list($row, $board, $board_skin_url, $board['bo_subject_len']);
        $list[$i]['is_notice'] = true;
		$notice_sql .= " and wr_id != '$arr_notice[$k]' "; 
		$i++;
    }

	if(!$view_it) $it_sql = "and wr_8 = '{$bo_it}'";
	if($bo_linked) $bo_sql = "and wr_4 = '{$bo_linked}'";
	if($sql_search) $search_sql = "and $sql_search ";

	$a_total = sql_fetch("select count(*) as cnt from $write_table where 1 and wr_is_comment = 0 $it_sql $bo_sql $notice_sql $search_sql");
	$total_count = $a_total['cnt'];

	// 페이징 처리
	$total_page  = ceil($total_count / $bo_row);  // 전체 페이지 계산
	if (!$page) { $page = 1; } // 페이지가 없으면 첫 페이지 (1 페이지)
	$from_record = ($page - 1) * $bo_row; // 시작 열을 구함

	// 공지글, 해당사용자가 쓴 글과 관련된 게시물 가져오기
	$k = 0;
	$sql = " select * from $write_table where 1 and wr_is_comment = 0 $it_sql $bo_sql $notice_sql $search_sql order by  wr_num, wr_reply limit $from_record, $bo_row ";
	$result = sql_query($sql);
	while ($row = sql_fetch_array($result)) {
	    // 검색일 경우 wr_id만 얻었으므로 다시 한행을 얻는다
		if ($sca || $stx) $row = sql_fetch(" select * from $write_table where wr_id = '{$row['wr_parent']}' ");

		$list[$i] = get_list($row, $board, $board_skin_url, $board['bo_subject_len']);
	    $list[$i]['is_notice'] = false;
	    $list[$i]['num'] = $total_count - ($page - 1) * $bo_row - $k;
		$i++;
		$k++;
	}
} else {
	include_once (AMINA_PATH.'/list.rows.php');
}

?>